Bug 844098 - SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /usr/lib/systemd/system/tor.service.
SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /usr/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6f9968c8585fdf198668dee48dd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 17:28 EDT by Ron Gonzalez
Modified: 2012-08-10 18:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 18:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ron Gonzalez 2012-07-28 17:28:24 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.5-2.fc17.x86_64
time:           Sat 28 Jul 2012 05:28:03 PM EDT

description:
:SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /usr/lib/systemd/system/tor.service.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that bash should be allowed getattr access on the tor.service file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep sh /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:logrotate_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:tor_unit_file_t:s0
:Target Objects                /usr/lib/systemd/system/tor.service [ file ]
:Source                        sh
:Source Path                   /usr/bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           bash-4.2.36-1.fc17.x86_64
:Target RPM Packages           tor-systemd-0.2.2.35-1702.fc17.noarch
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.5-2.fc17.x86_64 #1 SMP Mon
:                              Jul 16 20:52:08 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Sun 22 Jul 2012 03:39:03 AM EDT
:Last Seen                     Sun 22 Jul 2012 03:39:03 AM EDT
:Local ID                      5ed1fdae-10ef-4fd0-8ccf-eb3adf47e021
:
:Raw Audit Messages
:type=AVC msg=audit(1342942743.391:3085): avc:  denied  { getattr } for  pid=16654 comm="sh" path="/usr/lib/systemd/system/tor.service" dev="dm-0" ino=670683 scontext=system_u:system_r:logrotate_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tor_unit_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1342942743.391:3085): arch=x86_64 syscall=stat success=yes exit=0 a0=11241f0 a1=7ffff4b7afe0 a2=7ffff4b7afe0 a3=8 items=0 ppid=16647 pid=16654 auid=0 uid=0 gid=0 euid=0 suid=991 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=415 comm=sh exe=/usr/bin/bash subj=system_u:system_r:logrotate_t:s0-s0:c0.c1023 key=(null)
:
:Hash: sh,logrotate_t,tor_unit_file_t,file,getattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-30 05:11:42 EDT
Fixed in selinux-policy-3.10.0-143.fc17.noarch
Comment 2 Fedora Update System 2012-08-08 07:22:32 EDT
selinux-policy-3.10.0-145.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-145.fc17
Comment 3 Fedora Update System 2012-08-09 19:05:40 EDT
Package selinux-policy-3.10.0-145.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-145.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11591/selinux-policy-3.10.0-145.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-10 18:35:44 EDT
selinux-policy-3.10.0-145.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.